%define upstream_name	 Data-Password-Meter
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Data::Password::Meter - Check the strength of passwords
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AK/AKRON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(bytes)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Check the strength of a password. 
The scoring is based on Passwordmeter by Steve Moitozo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
make test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Data/Password/Meter.pm
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-3.mga10
+ Revision: 2206765
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-2.mga9
+ Revision: 1813954
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.100.0-1.mga9
+ Revision: 1690210
- update to 0.10

* Fri Feb 14 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1520020
- Mageia 8 Mass Rebuild

* Fri Nov 02 2018 tv <tv> 0.90.0-1.mga7
+ Revision: 1327627
- update to 0.09

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1282631
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.80.0-2.mga7
+ Revision: 1163797
- rebuild with fixed rpm for missing autodeps

* Mon Sep 12 2016 matteo <matteo> 0.80.0-1.mga7
+ Revision: 1051672
- Fix control sequence check (0.08)

* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1024826
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 969991
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 884501
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 749018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 684223
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 matteo <matteo> 0.60.0-2.mga5
+ Revision: 672642
- enabling tests

* Sat Sep 06 2014 anaselli <anaselli> 0.60.0-1.mga5
+ Revision: 672631
- new version 0.06

* Sat Aug 16 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 664457
- update to 0.05

* Sun Jun 01 2014 matteo <matteo> 0.40.0-1.mga5
+ Revision: 630350
- imported package perl-Data-Password-Meter

